function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-transparent-secondary);\n                ",
        ": var(--surface-solid-default);\n                ",
        ": var(--text-tertiary);\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-transparent-secondary);\n                ",
        ": var(--surface-solid-tertiary);\n                ",
        ": var(--text-tertiary);\n            "
    ]);
    _templateObject1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-transparent-secondary);\n                ",
        ": var(--surface-accent);\n                ",
        ": var(--text-tertiary);\n            "
    ]);
    _templateObject2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-transparent-secondary);\n                ",
        ": var(--surface-accent-gradient);\n                ",
        ": var(--text-tertiary);\n            "
    ]);
    _templateObject3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-transparent-secondary);\n                ",
        ": var(--surface-info);\n                ",
        ": var(--text-tertiary);\n            "
    ]);
    _templateObject4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-transparent-secondary);\n                ",
        ": var(--surface-positive);\n                ",
        ": var(--text-tertiary);\n            "
    ]);
    _templateObject5 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-transparent-secondary);\n                ",
        ": var(--surface-warning);\n                ",
        ": var(--text-tertiary);\n            "
    ]);
    _templateObject6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-transparent-secondary);\n                ",
        ": var(--surface-negative);\n                ",
        ": var(--text-tertiary);\n            "
    ]);
    _templateObject7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject8() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.25rem;\n                ",
        ": 0.125rem;\n\n                ",
        ": 0.375rem;\n                ",
        ": 0.375rem;\n\n                ",
        ": 0.5rem;\n            "
    ]);
    _templateObject8 = function _templateObject() {
        return data;
    };
    return data;
}
import { css, progressTokens } from '@salutejs/plasma-new-hope/styled-components';
export var config = {
    defaults: {
        view: 'default',
        size: 'm'
    },
    variations: {
        view: {
            default: css(_templateObject(), progressTokens.trackBackgroundColor, progressTokens.progressFilledBackgroundColor, progressTokens.valueColor),
            secondary: css(_templateObject1(), progressTokens.trackBackgroundColor, progressTokens.progressFilledBackgroundColor, progressTokens.valueColor),
            primary: css(_templateObject2(), progressTokens.trackBackgroundColor, progressTokens.progressFilledBackgroundColor, progressTokens.valueColor),
            accent: css(_templateObject3(), progressTokens.trackBackgroundColor, progressTokens.progressFilledBackgroundColor, progressTokens.valueColor),
            info: css(_templateObject4(), progressTokens.trackBackgroundColor, progressTokens.progressFilledBackgroundColor, progressTokens.valueColor),
            success: css(_templateObject5(), progressTokens.trackBackgroundColor, progressTokens.progressFilledBackgroundColor, progressTokens.valueColor),
            warning: css(_templateObject6(), progressTokens.trackBackgroundColor, progressTokens.progressFilledBackgroundColor, progressTokens.valueColor),
            error: css(_templateObject7(), progressTokens.trackBackgroundColor, progressTokens.progressFilledBackgroundColor, progressTokens.valueColor)
        },
        size: {
            m: css(_templateObject8(), progressTokens.trackHeight, progressTokens.trackBorderRadius, progressTokens.progressFilledHeight, progressTokens.progressFilledBorderRadius, progressTokens.valueMarginLeft)
        }
    }
};
